library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_textio.all;
use IEEE.std_logic_arith.all;
use IEEE.numeric_bit.all;
use IEEE.numeric_std.all;
use IEEE.std_logic_signed.all;
use IEEE.std_logic_unsigned.all;
use IEEE.math_real.all;
use IEEE.math_complex.all;

entity d_ff is 
port (clk, rst : in std_logic;
		d : in std_logic := '0';
		q : out std_logic
		);
end d_ff;

architecture d_arch of d_ff is
begin
	process(clk,rst)
	begin
		if (rst = '1') then
			q <= '0';
		elsif (clk'event and clk='1') then
			q <= d;
		end if;
	end process;
end d_arch;
	
		